// DocVars.cpp: implementation of the CDocVars class.
// As part of the Undo_Redo_Demo application
// By Tom Morris of trilobiteWorks. December 2002
// Use freely...

#include "stdafx.h"
#include "DocVars.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CDocVars::CDocVars()
{
	dv_arrayPoints.RemoveAll();
	dv_strLabel = _T("");
}

///////////////////////////////////////////////////////////////////////////////
//	
//	
///////////////////////////////////////////////////////////////////////////////
CDocVars::~CDocVars()
{

}

IMPLEMENT_SERIAL(CDocVars, CObject, 1)


///////////////////////////////////////////////////////////////////////////////
//	Serialize
//	
///////////////////////////////////////////////////////////////////////////////
void	CDocVars::Serialize(CArchive &ar)
{
	CObject::Serialize(ar);

	if (ar.IsStoring())
	{
		dv_arrayPoints.Serialize(ar);

		ar	<<	dv_strLabel;
	}
	else
	{
		dv_arrayPoints.Serialize(ar);

		ar	>>	dv_strLabel;

	}
}

